aboutsummaryrefslogtreecommitdiffstats
path: root/tools/check/check_x11_devel
diff options
context:
space:
mode:
Diffstat (limited to 'tools/check/check_x11_devel')
-rwxr-xr-xtools/check/check_x11_devel11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/check/check_x11_devel b/tools/check/check_x11_devel
new file mode 100755
index 0000000000..7154331000
--- /dev/null
+++ b/tools/check/check_x11_devel
@@ -0,0 +1,11 @@
+#!/bin/bash
+# CHECK-BUILD
+
+function error {
+ echo
+ echo " *** Check for x11 headers FAILED"
+ exit 1
+}
+
+set -e
+[ -e /usr/include/X11/keysymdef.h ] || error